Tag Parser: TagParser::MatroskaTagIds::TrackSpecific Namespace Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Functions
TagParser::MatroskaTagIds::TrackSpecific Namespace Reference

Encapsulates track-specific Matroska tag IDs written by mkvmerge 7.0.0 or newer. More...

## Functions
constexpr TAG_PARSER_EXPORT std::string_view | numberOfBytes ()
constexpr TAG_PARSER_EXPORT std::string_view | numberOfFrames ()
constexpr TAG_PARSER_EXPORT std::string_view | duration ()
constexpr TAG_PARSER_EXPORT std::string_view | bitrate ()
| The track's bit rate in bits per second.
constexpr TAG_PARSER_EXPORT std::string_view | writingApp ()
constexpr TAG_PARSER_EXPORT std::string_view | writingDate ()
constexpr TAG_PARSER_EXPORT std::string_view | statisticsTags ()

## Detailed Description

Encapsulates track-specific Matroska tag IDs written by mkvmerge 7.0.0 or newer.

See also
  https://github.com/mbunkus/mkvtoolnix/wiki/Automatic-tag-generation

## Function Documentation

## ◆ bitrate()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::bitrate | ( |  | ) |
| constexpr

The track's bit rate in bits per second.

Definition at line 501 of file matroskatagid.h.

## ◆ duration()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::duration | ( |  | ) |
| constexpr

Definition at line 496 of file matroskatagid.h.

## ◆ numberOfBytes()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::numberOfBytes | ( |  | ) |
| constexpr

Definition at line 488 of file matroskatagid.h.

## ◆ numberOfFrames()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::numberOfFrames | ( |  | ) |
| constexpr

Definition at line 492 of file matroskatagid.h.

## ◆ statisticsTags()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::statisticsTags | ( |  | ) |
| constexpr

Definition at line 513 of file matroskatagid.h.

## ◆ writingApp()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::writingApp | ( |  | ) |
| constexpr

Definition at line 505 of file matroskatagid.h.

## ◆ writingDate()

TAG_PARSER_EXPORT std::string_view TagParser::MatroskaTagIds::TrackSpecific::writingDate | ( |  | ) |
| constexpr

Definition at line 509 of file matroskatagid.h.